

On Sat, Apr 23, 2005 at 04:56:09PM -0700, Andrew Morton wrote:
> Adrian Bunk <bunk@stusta.de> wrote:
> >
> > I didn't find any possible modular usage in the kernel.
> > 
> 
> panic_timeout has many in-kernel users and it is used from within a module
> in 2.4.30.
> 
> Hence it is easily possible that some out-of-tree code is dependent upon
> this export, hence I shan't be applying this patch.

Patch to deprecate it is below.

cu
Adrian

<--  snip  -->


Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 Documentation/feature-removal-schedule.txt |    8 ++++++++
 include/linux/kernel.h                     |    2 +-
 2 files changed, 9 insertions(+), 1 deletion(-)

diff -puN Documentation/feature-removal-schedule.txt~__deprecated_for_modules-panic_timeout Documentation/feature-removal-schedule.txt
--- 25/Documentation/feature-removal-schedule.txt~__deprecated_for_modules-panic_timeout	2005-05-11 21:16:00.000000000 -0700
+++ 25-akpm/Documentation/feature-removal-schedule.txt	2005-05-11 21:16:00.000000000 -0700
@@ -83,3 +83,11 @@ When:	April 2006
 Files:	kernel/resource.c
 Why:	No modular usage in the kernel.
 Who:	Adrian Bunk <bunk@stusta.de>
+
+---------------------------
+
+What:	remove EXPORT_SYMBOL(panic_timeout)
+When:	April 2006
+Files:	kernel/panic.c
+Why:	No modular usage in the kernel.
+Who:	Adrian Bunk <bunk@stusta.de>
diff -puN include/linux/kernel.h~__deprecated_for_modules-panic_timeout include/linux/kernel.h
--- 25/include/linux/kernel.h~__deprecated_for_modules-panic_timeout	2005-05-11 21:16:00.000000000 -0700
+++ 25-akpm/include/linux/kernel.h	2005-05-11 21:16:00.000000000 -0700
@@ -160,7 +160,7 @@ static inline void console_verbose(void)
 
 extern void bust_spinlocks(int yes);
 extern int oops_in_progress;		/* If set, an oops, panic(), BUG() or die() is in progress */
-extern int panic_timeout;
+extern __deprecated_for_modules int panic_timeout;
 extern int panic_on_oops;
 extern int tainted;
 extern const char *print_tainted(void);
_
